Bug 444568 - backtrace when dependencies not satisfied
backtrace when dependencies not satisfied
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-04-29 03:17 EDT by Jens Petersen
Modified: 2009-09-21 17:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 05:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-04-29 03:17:10 EDT
Description of problem:
system-config-language backtraces when there is a yum dependency problem.
It should just give up with a warning.

How reproducible:
every time

Steps to Reproduce:
1. install newer openoffice build from koji say
2. run system-config-language 
3. select a new language group
  
Actual results:
Loaded plugins: refresh-packagekit
Package lohit-fonts-kannada-2.2.0-1.fc9.noarch already installed and latest version
1:openoffice.org-langpack-kn_IN-2.4.0-12.6.fc9.i386 from rawhide has depsolving
problems
  --> Missing Dependency: openoffice.org-core = 1:2.4.0-12.6.fc9 is needed by
package 1:openoffice.org-langpack-kn_IN-2.4.0-12.6.fc9.i386 (rawhide)
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 173, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 235, in apply
    install.install_language (self.mainWindow, grpid)                           
  File "/usr/share/system-config-language/gui_install.py", line 385, in
install_language
    self.checkDeps(mainWindow)
  File "/usr/share/system-config-language/gui_install.py", line 154, in checkDeps
    d.set_details(string.join(msgs, "\n"))
NameError: global name 'string' is not defined

Expected results:
no backtrace
Comment 1 Bug Zapper 2008-05-14 06:21:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tony Fu 2008-09-09 23:09:54 EDT
requested by Jens Petersen (#27995)
Comment 3 Pravin Satpute 2008-10-01 05:44:25 EDT
fixed in system-config-language-1.3.2-1

Note You need to log in before you can comment on or make changes to this bug.